aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xlibexec/rc/rc.d/sendmail6
1 files changed, 6 insertions, 0 deletions
diff --git a/libexec/rc/rc.d/sendmail b/libexec/rc/rc.d/sendmail
index af84c6d6b548..5a780e5b15a1 100755
--- a/libexec/rc/rc.d/sendmail
+++ b/libexec/rc/rc.d/sendmail
@@ -206,6 +206,7 @@ sendmail_precmd()
}
run_rc_command "$1"
+_ret=$?
required_files=
@@ -214,6 +215,7 @@ if checkyesno sendmail_submit_enable; then
rcvar="sendmail_submit_enable"
_rc_restart_done=false
run_rc_command "$1"
+ _ret=$(( _ret > $? ? _ret : $? ))
fi
if checkyesno sendmail_outbound_enable; then
@@ -221,6 +223,7 @@ if checkyesno sendmail_outbound_enable; then
rcvar="sendmail_outbound_enable"
_rc_restart_done=false
run_rc_command "$1"
+ _ret=$(( _ret > $? ? _ret : $? ))
fi
name="sendmail_msp_queue"
@@ -229,3 +232,6 @@ pidfile="${sendmail_msp_queue_pidfile:-/var/spool/clientmqueue/sm-client.pid}"
required_files="/etc/mail/submit.cf"
_rc_restart_done=false
run_rc_command "$1"
+_ret=$(( _ret > $? ? _ret : $? ))
+
+(exit "$_ret")